trailhawk
Contributor
Contributor

Not seeing smartcard reader on CentOS 7 VDI desktop

Hello,

I am trying to setup smartcard reader pass through to work on a VDI Linux Cent OS 7. I'm at a loss right now - on windows you just select enable smart card access and we are good to go. I have tried the following switch during the agent installation but that doesn't seem to be enough.

./install_viewagent.sh -b connection_Manager -d our_domain -u Username -p password -A yes -m yes

I thought the -m yes would be all I need to do. We aren't setting up SSO we just need access to the reader when going to websites the request a cert

Any help would be great.

Thanks

Tags (1)
0 Kudos
5 Replies
yanchaozhang
VMware Employee
VMware Employee

Hi trailhawk,

we don't support smartcard for centos, you can try other linux flavors, like rhel/ubuntu/sle instead.

Also, from your installation options, seems that your are trying un-managed way, in this case, you need append '-M no' .

you can refer to Setting Up Horizon 7 for Linux Desktops  for details.

0 Kudos
trailhawk
Contributor
Contributor

why would I use a -M no ? -m yes should install smart card support

install_viewagent.sh Command-Line Options

-M yes|noUpgrade the Linux Agent to managed or unmanaged agent. Default is yes.
-m yes|noInstall or bypass the smart card redirection support. Default is no.
0 Kudos
mvogt1
Enthusiast
Enthusiast

0 Kudos
trailhawk
Contributor
Contributor

Lots of information in there - I'll do some testing and see if I can get it working. I've upgraded to Centos 8 but I'm still having problems. Thanks

0 Kudos
trailhawk
Contributor
Contributor

mvoget1

Thank you for the post - I have done the following

yum install -y opensc pcsc-lite pcsc-lite-libs pcsc-lite-ccid nss-tools

yum install -y git flex autoconf automake libtool libudev-devel flex

git clone https://salsa.debian.org/rousseau/PCSC.git

cd PCSC

git checkout -b 1.8.8 pcsc-1.8.8

./bootstrap

./configure --enable-usbdropdir=/usr/lib64/pcsc/drivers/

make

make install

cp src/.libs/libpcsclite.so.1.0.0 /lib64/

./install_viewagent.sh -m yes

However when I run pkcs11-tool -L I'm seeing Slot 0

Any thoughts or am I missing something?

0 Kudos